
function [] = plotlocv(T,MAX,tnumber,xnumber,valloc),

% plots the level set v_loc(tau,x)=val in Figure 6 and 3
% and the function v_loc(tau,x) depending on (tau,x) in Figure 1
% on a grid in [-T,0] times [-MAX,MAX]
% where the time interval is divided into tnumber, and the space interval
% is divided into 2 xnumber equal steps


  ht = T/tnumber;
  hx = MAX/xnumber;
   
X = -MAX:hx:MAX;
Tvec = -T:ht:0;

 



for i=0:tnumber,
    t=-T+i*ht;
    for j=1:2*xnumber+1,
        x = -MAX+hx*j;
        nucomp(i+1,j) = locv([t,x]);
    end
end

figure(1)
mesh(X,Tvec,nucomp)  


figure(3)
[C,h]=contour(X,Tvec,nucomp,[valloc,valloc],'g','LineWidth',2);  
clabel(C,h)


figure(6)
hold on
[C,h]=contour(X,Tvec,nucomp,[valloc,valloc],'g','LineWidth',2);  


