
function [] = plotlocvs(T,MAX,tnumber,xnumber,beta),
    

% plots the level set v_loc'(tau,x)=0 in Figure 3
% and the function v_loc'(tau,x) depending on (tau,x) in Figure 2
% on a grid in [-T,0] times [-MAX,MAX]
% where the time interval is divided into tnumber, and the space interval
% is divided into 2 xnumber equal steps


 
  ht = T/tnumber;
  hx = MAX/xnumber;
   
X = -MAX:hx:MAX;
Tvec = -T:ht:0;

 



for i=0:tnumber,
    t=-T+i*ht;
    for j=1:2*xnumber+1,
        x = -MAX+hx*j;
        nucomp(i+1,j) = F([t,x],beta)*gradlocv([t,x]);

    end
end

figure(2)
mesh(X,Tvec,nucomp)  


figure(3)
hold on
contour(X,Tvec,nucomp,[0,0],'r','LineWidth',2) 