

function [] = plotv(T,MAX,c,n,beta,alpha,points,points0,pointsneg,tnumber,xnumber,val),
    
% plots the level set v(tau,x)=val in Figure 6
% and the function v(tau,x) depending on (tau,x) in Figure 4
% on a grid in [-T,0] times [-MAX,MAX]
% where the time interval is divided into tnumber, and the space interval
% is divided into 2 xnumber equal steps


  ht = T/tnumber;
  hx = MAX/xnumber;
   
X = -MAX:hx:MAX;
Tvec = -T:ht:0;



for i=0:tnumber,
    t=-T+i*ht;
    for j=1:2*xnumber+1,
        x = -MAX+hx*j;
        nucomp(i+1,j) = v(c,alpha,points,points0,pointsneg,beta,t,x);
    end
end

figure(4)
mesh(X,Tvec,nucomp)  


figure(6)
[C,h]=contour(X,Tvec,nucomp,[val],'k','LineWidth',2)  ;
clabel(C,h)


