
function [] = plotvs(T,MAX,c,n,beta,alpha,points,points0,pointsneg,tnumber,xnumber),
    
    
% plots the level set vs(tau,x)=0 in Figure 6
% and the function vs(tau,x) depending on (tau,x) in Figure 5
% on a grid in [-T,0] times [-MAX,MAX]
% where the time interval is divided into tnumber, and the space interval
% is divided into 2 xnumber equal steps


  ht = T/tnumber;
  hx = MAX/xnumber;
   
X = -MAX:hx:MAX;
Tvec = -T:ht:0;

 



for i=0:tnumber,
    t=-T+i*ht;
    for j=1:2*xnumber+1,
        x = -MAX+hx*j;
        nucomp(i+1,j) = vs(c,alpha,points,points0,pointsneg,beta,t,x);
    end
end

figure(5)
mesh(X,Tvec,nucomp)  


figure(6)
hold on
contour(X,Tvec,nucomp,[0,0],'r','LineWidth',2) 