function [vs]=vs(c,alpha,points,points0,pointsneg,beta,t,x)

% calculates the orbital derivative v' of approximation v at (t,x)
% c denotes the constant in the RBF
% alpha is the coefficient vector

% points are the points (tau_k,x_k) in (0,T]\times R^n, N points
% pointsneg are the points with negative value
% points0 are the points in 0\times R^n, N0 points



vs=0;

[N,dummy]=size(points);
[N0,dummy]=size(points0);


for k=1:N0
    diff=transpose([t,x]-points0(k,:));
         r=norm(diff);
        vs=vs+alpha(k)*(-phi2(r,c)*(F([t,x],beta)*diff).*(F(points0(k,:),beta)*diff)-...        
                phi1(r,c)*(F([t,x],beta)*F(points0(k,:),beta)'));
end

for k=1:N
    diff=transpose([t,x]-points(k,:));
         r=norm(diff);
        vs=vs+alpha(N0+k)*(-phi2(r,c)*(F([t,x],beta)*diff).*(F(points(k,:),beta)*diff)-...        
                phi1(r,c)*(F([t,x],beta)*F(points(k,:),beta)'));
        diff=transpose([t,x]-pointsneg(k,:));
        r=norm(diff);
        vs=vs+alpha(N0+k)*(-phi2(r,c)*(F([t,x],beta)*diff).*(F(pointsneg(k,:),beta)*diff)-...        
                phi1(r,c)*(F([t,x],beta)*F(pointsneg(k,:),beta)'));
end


end